@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500&display=swap');

:root {
  --primary-color: #009539;
  --primary-text-color: #ffff;
  --main-bg-color-opacity: rgba(0,0,0,.2);
  --main-text-color: #fff;
  --div-bg-color: #191B1E;
  --div-text-color: #fff;
  --div-border-color: #272729;
  --wait-text-color: #eccc22;

  --process-color: #6a707c;
  --error-color: #a02803;
  --success-color: #138f45;
}

body {
  font-family: 'Roboto', sans-serif;
  background-color: transparent;
  margin: 0;
  padding: 0 0 100px;
}

.error-title {
  margin-top: 30px;
  margin-bottom: 0;
  font-size: 20px;
  font-weight: 500;
  text-align: center;
  color: var(--main-text-color);
}
.max-wait {
  text-align: center;
  margin-bottom: 15px;
  color: var(--wait-text-color);
  font-size: 20px;
  font-weight: 500;
}
.sms-popup {
  /*margin-bottom: 100px;*/
}
.welcome {
  text-align: center;
  font-size: 14px;
  margin-top: 10px;
  margin-bottom: 10px;
  color: var(--main-text-color);
  position: relative;
  z-index: 2;
}
.welcome span {
  display: inline-flex;
  line-height: 14px;
  padding: 2px 5px;
  font-weight: 400;
  background-color: var(--primary-color);
  color: var(--primary-text-color);
  margin: 0 5px;
  border-radius: 4px;
}
.title {
  margin-top: 30px;
  margin-bottom: 0;
  font-size: 20px;
  font-weight: 500;
  text-align: center;
  color: var(--main-text-color);
}
.title span {
  display: block;
  opacity: .5;
}

.promotion {
  margin-top: 30px;
}
.promotion .inputs {
  display: flex;
  align-items: center;
}
.promotion .form-control:focus {
  box-shadow: none;
  border-color:#dee2e6;
}
.promotion .btn {
  margin-left: 5px;
}
.promotion .btn, .promotion .btn:active {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  color: var(--primary-text-color);
}

.items {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.item-group-title {
  flex: 0 0 100%;
  font-size: 22px;
  font-weight: 500;
  color: var(--main-text-color);
  text-align: center;
  margin-top: 30px;
}
.item {
  flex: 0 0 25%;
}
.item-content {
  display: block;
  margin: 5px;
  cursor: pointer;
  overflow: hidden;
  border-radius: 5px;
  background-color: var(--div-bg-color);
}
.item .img {
  position: relative;
  overflow: hidden;
}
.item img {
  width: 100%;
  height: auto;
  -webkit-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out;
}
.item .name {
  font-size: 13px;
  font-weight: 500;
  color: var(--div-text-color);
  padding: 6px 12px;
}
.item.disabled {
  -webkit-filter: grayscale(1);
  filter: grayscale(1);
  pointer-events: none;
  cursor: not-allowed;
}
.item-content:not(.disabled):hover img {
  -webkit-transform: scale(1.05);
  transform: scale(1.05);
}

.card-content {
  max-height: 500px;
  overflow: auto;
}
.card {
  background-color: var(--div-bg-color);
  color: var(--div-text-color);
  margin-bottom: 5px;
  font-size: 13px;
  border: 1px solid var(--div-border-color);
}
.card.empty {
  padding: 20px;
  text-align: center;
}
.card-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid var(--div-border-color);
}
.card-header .date span {
  display: inline-flex;
  opacity: .6;
  margin-left: 2px;
}
.card-header .status {
  display: inline-flex;
  align-items: center;
  color: var(--div-text-color);
  padding: 1px 5px;
  font-size: 12px;
}
.spinner {
  margin-right: 5px;
}
.process {
  background-color: var(--process-color);
}
.denied {
  background-color: var(--error-color);
}
.approved {
  background-color: var(--success-color);
}
.card-body {
  text-align: center;
}
.card .name {
  font-size: 15px;
  font-weight: 500;
  margin-bottom: 2px;
}
.card .message {
  font-weight: 300;
  opacity: .8;
}

@media only screen and (min-width: 1280px) {
  .container {
    max-width: 1400px;
  }
}
@media (max-width : 1399px) {
  .item {
    flex: 0 0 25%;
  }
}
@media (max-width : 1199px) {
  .item {
    flex: 0 0 50%;
  }
}
@media (max-width : 767px) {
  .item {
    flex: 0 0 100%;
  }
  .item-content {
    border-radius: 5px;
    font-weight: 500;
    padding: 5px;
    display: flex;
    align-items: center;
    text-align: left;
  }
  .item img {
    width: auto;
    height: 50px;
  }
  .item .name {
    margin-left: 10px;
    background-color: transparent;
    padding: 0;
  }
  .item-content:not(.disabled):hover img {
    -webkit-transform: none;
    transform: none;
  }
}

.jconfirm.jconfirm-white .jconfirm-bg, .jconfirm.jconfirm-light .jconfirm-bg {
    background-color: var(--main-bg-color-opacity);
    opacity: 1;
}

#loader {
  background-color: var(--main-bg-color-opacity);
  position: fixed;
  z-index: 999;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.loader {
  width: 50px;
  aspect-ratio: 1;
  display: grid;
}
.loader:before,
.loader:after {
  content: "";
  grid-area: 1/1;
  margin: 0 0 15px 15px;
  --c:#0000 calc(100%/3),var(--main-text-color) 0 calc(2*100%/3),#0000 0;
  --c1:linear-gradient(90deg,var(--c));
  --c2:linear-gradient( 0deg,var(--c));
  background: var(--c1),var(--c2),var(--c1),var(--c2);
  background-size: 300% 4px,4px 300%;
  background-repeat: no-repeat;
  animation: l12 1s infinite linear;
}
.loader:after {
  margin: 15px 15px 0 0;
  transform: scale(-1,-1);
}
@keyframes l12 {
  0%   {background-position: 50%  0,100% 100%,0    100%,0 0}
  25%  {background-position: 0    0,100% 50% ,0    100%,0 0}
  50%  {background-position: 0    0,100% 0   ,50%  100%,0 0}
  75%  {background-position: 0    0,100% 0   ,100% 100%,0 50%}
  75.01%{background-position: 100% 0,100% 0   ,100% 100%,0 50%}
  100% {background-position: 50%  0,100% 0   ,100% 100%,0 100%}
}

.spinner {
  text-align: center;
}

.spinner > div {
  width: 10px;
  height: 10px;
  background-color: var(--div-text-color);

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% { 
    -webkit-transform: scale(0);
    transform: scale(0);
  } 40% { 
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}